//========================================================================================
//
//	File:				DrawClip.h
//	Release Version:	$ ODF 1 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef DRAWCLIP_H
#define DRAWCLIP_H

#ifndef FWFCTCLP_H
#include "FWFctClp.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class CDrawPart;

//========================================================================================
//	class CDrawFacetClipper
//========================================================================================

class CDrawFacetClipper : public FW_CFacetClipper
{
//---------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CDrawFacetClipper(CDrawPart* part);
	virtual ~CDrawFacetClipper();

//---------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void 		ClipEmbeddedFacets(Environment *ev, 
								FW_CEmbeddingFrame* embeddingFrame, 
								ODFacet* odFacet,
								ODShape* limitShape);
	
//---------------------------------------------------------------------------------------
//	Data Members
//
private:
	CDrawPart*			fDrawPart;
};

#endif
