//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kViewAsIconID,
	
	// ----- MenuBar ID
	kMenuBar,

	// ----- Document Window ID
	0,
	
	// ----- Part Name
	kODFDrawEditorUserString,
	
	// ----- PartKind
	kODFDrawKind
};

//----------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	kAboutIconID,
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFDraw"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 2"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODFDraw is the most full-featured ODF sample part editor. It currently supports: "
		"intrinsic content, embedding, drag and drop, cut copy paste, promises, z-order of embedded frames, "
		"palettes, scrolling, scrolling focus, scaling, multiple display frames, undo, linking, "
		"scripting, lazy instantiation of embedded frames and more.\r\r"
		"Written by the ODF Team.\r"
	),
	// ----- ButtonString
	"OK",
	// ----- ButtonSize
	{FW_FIX(0), FW_FIX(0)}
};