//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

// ----- Framework Includes -----

#ifndef FWPART_H
#include "FWPart.h"
#endif

//========================================================================================
// Forward Class Desclarations
//========================================================================================

class FW_CPresentation;
class ODFrame;

//========================================================================================
//	CLASS CNothingPart
//========================================================================================

class CNothingPart : public FW_CPart
{
public:
	FW_DECLARE_AUTO(CNothingPart)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CNothingPart(ODPart* odPart);
	virtual ~CNothingPart();

	virtual void Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage);
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_CContent* 	NewPartContent(Environment* ev);
	virtual FW_CFrame* 		NewFrame(Environment* ev,
									ODFrame* odFrame, 
									FW_CPresentation* presentation,
									FW_Boolean fromStorage);
};

#endif
