//============================================================================
//
//	File:				SLODFStr.fr
//	Release Version:	$ ODF 2 $
//
//	Contains:	Miscellaneous ODF Strings
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//============================================================================

#ifndef SLODFSTR_K
#include "SLODFStr.k"
#endif

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

//----------------------------------------------------------------------------
//	Miscellaneous Strings
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (FW_kODFStrings)
{
	FW_kAboutString,			"About ";
	FW_kODFCopyright,			"OpenDoc Development Frameworks\r 1993-96 Apple Computer, Inc.";
	FW_kInsertSameDocument,		"Attempt to insert a document inside itself has failed.";
	FW_kPartInfoString,			"Part Info...";
	FW_kLinkInfoString,			"Link Info...";
	FW_kNoDefaultPrinterMsg, 	"There is no default printer selected.  Please use Chooser to select one.";
	FW_kPrintingCanceledMsg, 	"As you requested, printing has been canceled.";
	FW_kSaveFileString,			"Save file as";
}

//----------------------------------------------------------------------------
//	Strings for printing
//----------------------------------------------------------------------------
// Obsolete.

resource FW_kMULTISTRING (FW_kPrintingStrings)
{
	1, "There is no default printer selected.  Please use Chooser to select one.";
	2, "As you requested, printing has been canceled.";
}

//----------------------------------------------------------------------------
//	Strings for Linking
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (FW_kLinkingStrings)
{
	FW_kCantEditLinkDestMsg,	"You cant edit content at a link destination. You may either find the source and edit it or break the link and edit the contents here.";
	FW_kCantFindLinkSourceMsg,	"The source for this link was not found.";
	FW_kCantEditThisLinkMsg,	"It isnt possible to edit this link destination";
	FW_kMultipleLinksMsg,		"You have selected content in multiple link destinations. You can only work with one at a time. Select content within a single link and try again.";
}
