//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

// CyberDog is really only supported in Metrowerks builds. Unfortunately,
// we can't detect that we are in Metrowerks REZ or the Metrowerks ODFRC
// plugin, so we always define FW_SUPPORTS_CYBERDOG true for resource
// compiles.
#ifdef FW_SUPPORTS_CYBERDOG
#undef FW_SUPPORTS_CYBERDOG
#endif

#define FW_SUPPORTS_CYBERDOG 1

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ODFBitmap...",

	{
		FW_RPullDownMenu
		(
			"Settings"
			{
				FW_RTextItem(cHalfSize, FW_kNoKeyEquivalent, "50%"),
				FW_RTextItem(cRealSize, FW_kNoKeyEquivalent, "100%"),
				FW_RTextItem(cDoubleSize, FW_kNoKeyEquivalent, "200%"),
				FW_RTextItem(cFitToFrame, FW_kNoKeyEquivalent, "Scale to Frame"),
				FW_RSeparatorItem(),
				FW_RTextItem(cRequestFrame, FW_kNoKeyEquivalent, "Request Frame"),
				FW_RTextItem(cRemoveFrame, FW_kNoKeyEquivalent, "Remove Frame")
#if FW_SUPPORTS_CYBERDOG
				// Cyberdog: menu commands to support "Live" content
				,FW_RSeparatorItem(),
				FW_RTextItem (cReload, 'R', "Reload Image"),
				FW_RTextItem (cReloadFast, FW_kNoKeyEquivalent, "Reload Continuously")
#endif
			}
		)
	}
};
