//========================================================================================
//
//	File:				odfjpeg.h
//	Release Version:	$ ODF 2 $
//
//	Author:				Mark Lanett
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
//
//	Reads a JPEG using the Independent JPEG Group's free JPEG library.
//	Returns an FW_CBitmap.
//	
//	6/3/96 mlanett Checked in. Derived from example.c from the JPEG library.
//	

#ifndef _ODF_JPEG_
#define _ODF_JPEG_

#include "FWBitmap.h"
class FW_OSink;

FW_CBitmap ODF_JPEG_Read (Environment* ev, FW_OSink* sink);

#endif // _ODF_JPEG_

