MAKEFILE     = JPEGLibrary.make
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i : -i :IJGSources:
ObjDirPPC   = :ObjPPC:
ObjDir68K   = :Obj68K:
COptions  	 = {Includes} -opt all -w off -model cfmseg -seg JPEGLibrary
PPCCOptions  = {Includes} -opt speed,unroll -w off

ObjectsPPC  = 
	"{ObjDirPPC}"jcapimin.c.x 
	"{ObjDirPPC}"jcapistd.c.x 
	"{ObjDirPPC}"jccoefct.c.x 
	"{ObjDirPPC}"jccolor.c.x 
	"{ObjDirPPC}"jcdctmgr.c.x 
	"{ObjDirPPC}"jchuff.c.x 
	"{ObjDirPPC}"jcinit.c.x 
	"{ObjDirPPC}"jcmainct.c.x 
	"{ObjDirPPC}"jcmarker.c.x 
	"{ObjDirPPC}"jcmaster.c.x 
	"{ObjDirPPC}"jcomapi.c.x 
	"{ObjDirPPC}"jcparam.c.x 
	"{ObjDirPPC}"jcphuff.c.x 
	"{ObjDirPPC}"jcprepct.c.x 
	"{ObjDirPPC}"jcsample.c.x 
	"{ObjDirPPC}"jctrans.c.x 
	"{ObjDirPPC}"jdapimin.c.x 
	"{ObjDirPPC}"jdapistd.c.x 
	"{ObjDirPPC}"jdatadst.c.x 
	"{ObjDirPPC}"jdatasrc.c.x 
	"{ObjDirPPC}"jdcoefct.c.x 
	"{ObjDirPPC}"jdcolor.c.x 
	"{ObjDirPPC}"jddctmgr.c.x 
	"{ObjDirPPC}"jdhuff.c.x 
	"{ObjDirPPC}"jdinput.c.x 
	"{ObjDirPPC}"jdmainct.c.x 
	"{ObjDirPPC}"jdmarker.c.x 
	"{ObjDirPPC}"jdmaster.c.x 
	"{ObjDirPPC}"jdmerge.c.x 
	"{ObjDirPPC}"jdphuff.c.x 
	"{ObjDirPPC}"jdpostct.c.x 
	"{ObjDirPPC}"jdsample.c.x 
	"{ObjDirPPC}"jdtrans.c.x 
	"{ObjDirPPC}"jerror.c.x 
	"{ObjDirPPC}"jfdctflt.c.x 
	"{ObjDirPPC}"jfdctfst.c.x 
	"{ObjDirPPC}"jfdctint.c.x 
	"{ObjDirPPC}"jidctflt.c.x 
	"{ObjDirPPC}"jidctfst.c.x 
	"{ObjDirPPC}"jidctint.c.x 
	"{ObjDirPPC}"jidctred.c.x 
	"{ObjDirPPC}"jmemod.c.x 
	"{ObjDirPPC}"jmemmgr.c.x 
	"{ObjDirPPC}"jquant1.c.x 
	"{ObjDirPPC}"jquant2.c.x 
	"{ObjDirPPC}"jutils.c.x 
	"{ObjDirPPC}"rdbmp.c.x 
	"{ObjDirPPC}"rdgif.c.x 
	"{ObjDirPPC}"wrbmp.c.x

Objects68K  = 
	"{ObjDir68K}"jcapimin.c.o 
	"{ObjDir68K}"jcapistd.c.o 
	"{ObjDir68K}"jccoefct.c.o 
	"{ObjDir68K}"jccolor.c.o 
	"{ObjDir68K}"jcdctmgr.c.o 
	"{ObjDir68K}"jchuff.c.o 
	"{ObjDir68K}"jcinit.c.o 
	"{ObjDir68K}"jcmainct.c.o 
	"{ObjDir68K}"jcmarker.c.o 
	"{ObjDir68K}"jcmaster.c.o 
	"{ObjDir68K}"jcomapi.c.o 
	"{ObjDir68K}"jcparam.c.o 
	"{ObjDir68K}"jcphuff.c.o 
	"{ObjDir68K}"jcprepct.c.o 
	"{ObjDir68K}"jcsample.c.o 
	"{ObjDir68K}"jctrans.c.o 
	"{ObjDir68K}"jdapimin.c.o 
	"{ObjDir68K}"jdapistd.c.o 
	"{ObjDir68K}"jdatadst.c.o 
	"{ObjDir68K}"jdatasrc.c.o 
	"{ObjDir68K}"jdcoefct.c.o 
	"{ObjDir68K}"jdcolor.c.o 
	"{ObjDir68K}"jddctmgr.c.o 
	"{ObjDir68K}"jdhuff.c.o 
	"{ObjDir68K}"jdinput.c.o 
	"{ObjDir68K}"jdmainct.c.o 
	"{ObjDir68K}"jdmarker.c.o 
	"{ObjDir68K}"jdmaster.c.o 
	"{ObjDir68K}"jdmerge.c.o 
	"{ObjDir68K}"jdphuff.c.o 
	"{ObjDir68K}"jdpostct.c.o 
	"{ObjDir68K}"jdsample.c.o 
	"{ObjDir68K}"jdtrans.c.o 
	"{ObjDir68K}"jerror.c.o 
	"{ObjDir68K}"jfdctflt.c.o 
	"{ObjDir68K}"jfdctfst.c.o 
	"{ObjDir68K}"jfdctint.c.o 
	"{ObjDir68K}"jidctflt.c.o 
	"{ObjDir68K}"jidctfst.c.o 
	"{ObjDir68K}"jidctint.c.o 
	"{ObjDir68K}"jidctred.c.o 
	"{ObjDir68K}"jmemod.c.o 
	"{ObjDir68K}"jmemmgr.c.o 
	"{ObjDir68K}"jquant1.c.o 
	"{ObjDir68K}"jquant2.c.o 
	"{ObjDir68K}"jutils.c.o 
	"{ObjDir68K}"rdbmp.c.o 
	"{ObjDir68K}"rdgif.c.o 
	"{ObjDir68K}"wrbmp.c.o

JPEGLibrary  JPEGLibrary-PPC JPEGLibrary-68K

JPEGLibrary-PPC  :Lib:JPEGLibrary.PPC.lib

JPEGLibrary-68K  :Lib:JPEGLibrary.68K.lib

:Lib:JPEGLibrary.PPC.lib  {MondoBuild} {ObjectsPPC}
	PPCLink -xm library -o {Targ} {ObjectsPPC} -mf

:Lib:JPEGLibrary.68K.lib  {MondoBuild} {Objects68K}
	Lib -o {Targ} {Objects68K} -mf

#
# Generic Rules
# For some reason the directory dependency isn't working?
#

{ObjDirPPC} :IJGSources:

.c.x  .c {MondoBuild} 
	{PPCC} {DepDir}{Default}.c -o {TargDir}{Default} {PPCCOptions}

{ObjDir68K} :

.c.o  .c {MondoBuild} 
	{C} {DepDir}{Default}.c -o {TargDir}{Default} {COptions}

#
# Specific Rules
#

"{ObjDirPPC}jmemod.c.x"  {MondoBuild} jmemod.c
	{PPCC} jmemod.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}ansi2knr.c.x"  {MondoBuild} :IJGSources:ansi2knr.c
	{PPCC} :IJGSources:ansi2knr.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}cdjpeg.c.x"  {MondoBuild} :IJGSources:cdjpeg.c
	{PPCC} :IJGSources:cdjpeg.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}cjpeg.c.x"  {MondoBuild} :IJGSources:cjpeg.c
	{PPCC} :IJGSources:cjpeg.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}ckconfig.c.x"  {MondoBuild} :IJGSources:ckconfig.c
	{PPCC} :IJGSources:ckconfig.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}djpeg.c.x"  {MondoBuild} :IJGSources:djpeg.c
	{PPCC} :IJGSources:djpeg.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}example.c.x"  {MondoBuild} :IJGSources:example.c
	{PPCC} :IJGSources:example.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcapimin.c.x"  {MondoBuild} :IJGSources:jcapimin.c
	{PPCC} :IJGSources:jcapimin.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcapistd.c.x"  {MondoBuild} :IJGSources:jcapistd.c
	{PPCC} :IJGSources:jcapistd.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jccoefct.c.x"  {MondoBuild} :IJGSources:jccoefct.c
	{PPCC} :IJGSources:jccoefct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jccolor.c.x"  {MondoBuild} :IJGSources:jccolor.c
	{PPCC} :IJGSources:jccolor.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcdctmgr.c.x"  {MondoBuild} :IJGSources:jcdctmgr.c
	{PPCC} :IJGSources:jcdctmgr.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jchuff.c.x"  {MondoBuild} :IJGSources:jchuff.c
	{PPCC} :IJGSources:jchuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcinit.c.x"  {MondoBuild} :IJGSources:jcinit.c
	{PPCC} :IJGSources:jcinit.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcmainct.c.x"  {MondoBuild} :IJGSources:jcmainct.c
	{PPCC} :IJGSources:jcmainct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcmarker.c.x"  {MondoBuild} :IJGSources:jcmarker.c
	{PPCC} :IJGSources:jcmarker.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcmaster.c.x"  {MondoBuild} :IJGSources:jcmaster.c
	{PPCC} :IJGSources:jcmaster.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcomapi.c.x"  {MondoBuild} :IJGSources:jcomapi.c
	{PPCC} :IJGSources:jcomapi.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcparam.c.x"  {MondoBuild} :IJGSources:jcparam.c
	{PPCC} :IJGSources:jcparam.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcphuff.c.x"  {MondoBuild} :IJGSources:jcphuff.c
	{PPCC} :IJGSources:jcphuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcprepct.c.x"  {MondoBuild} :IJGSources:jcprepct.c
	{PPCC} :IJGSources:jcprepct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jcsample.c.x"  {MondoBuild} :IJGSources:jcsample.c
	{PPCC} :IJGSources:jcsample.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jctrans.c.x"  {MondoBuild} :IJGSources:jctrans.c
	{PPCC} :IJGSources:jctrans.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdapimin.c.x"  {MondoBuild} :IJGSources:jdapimin.c
	{PPCC} :IJGSources:jdapimin.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdapistd.c.x"  {MondoBuild} :IJGSources:jdapistd.c
	{PPCC} :IJGSources:jdapistd.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdatadst.c.x"  {MondoBuild} :IJGSources:jdatadst.c
	{PPCC} :IJGSources:jdatadst.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdatasrc.c.x"  {MondoBuild} :IJGSources:jdatasrc.c
	{PPCC} :IJGSources:jdatasrc.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdcoefct.c.x"  {MondoBuild} :IJGSources:jdcoefct.c
	{PPCC} :IJGSources:jdcoefct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdcolor.c.x"  {MondoBuild} :IJGSources:jdcolor.c
	{PPCC} :IJGSources:jdcolor.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jddctmgr.c.x"  {MondoBuild} :IJGSources:jddctmgr.c
	{PPCC} :IJGSources:jddctmgr.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdhuff.c.x"  {MondoBuild} :IJGSources:jdhuff.c
	{PPCC} :IJGSources:jdhuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdinput.c.x"  {MondoBuild} :IJGSources:jdinput.c
	{PPCC} :IJGSources:jdinput.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdmainct.c.x"  {MondoBuild} :IJGSources:jdmainct.c
	{PPCC} :IJGSources:jdmainct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdmarker.c.x"  {MondoBuild} :IJGSources:jdmarker.c
	{PPCC} :IJGSources:jdmarker.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdmaster.c.x"  {MondoBuild} :IJGSources:jdmaster.c
	{PPCC} :IJGSources:jdmaster.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdmerge.c.x"  {MondoBuild} :IJGSources:jdmerge.c
	{PPCC} :IJGSources:jdmerge.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdphuff.c.x"  {MondoBuild} :IJGSources:jdphuff.c
	{PPCC} :IJGSources:jdphuff.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdpostct.c.x"  {MondoBuild} :IJGSources:jdpostct.c
	{PPCC} :IJGSources:jdpostct.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdsample.c.x"  {MondoBuild} :IJGSources:jdsample.c
	{PPCC} :IJGSources:jdsample.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jdtrans.c.x"  {MondoBuild} :IJGSources:jdtrans.c
	{PPCC} :IJGSources:jdtrans.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jerror.c.x"  {MondoBuild} :IJGSources:jerror.c
	{PPCC} :IJGSources:jerror.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jfdctflt.c.x"  {MondoBuild} :IJGSources:jfdctflt.c
	{PPCC} :IJGSources:jfdctflt.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jfdctfst.c.x"  {MondoBuild} :IJGSources:jfdctfst.c
	{PPCC} :IJGSources:jfdctfst.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jfdctint.c.x"  {MondoBuild} :IJGSources:jfdctint.c
	{PPCC} :IJGSources:jfdctint.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jidctflt.c.x"  {MondoBuild} :IJGSources:jidctflt.c
	{PPCC} :IJGSources:jidctflt.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jidctfst.c.x"  {MondoBuild} :IJGSources:jidctfst.c
	{PPCC} :IJGSources:jidctfst.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jidctint.c.x"  {MondoBuild} :IJGSources:jidctint.c
	{PPCC} :IJGSources:jidctint.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jidctred.c.x"  {MondoBuild} :IJGSources:jidctred.c
	{PPCC} :IJGSources:jidctred.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemansi.c.x"  {MondoBuild} :IJGSources:jmemansi.c
	{PPCC} :IJGSources:jmemansi.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemdos.c.x"  {MondoBuild} :IJGSources:jmemdos.c
	{PPCC} :IJGSources:jmemdos.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemmac.c.x"  {MondoBuild} :IJGSources:jmemmac.c
	{PPCC} :IJGSources:jmemmac.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemmgr.c.x"  {MondoBuild} :IJGSources:jmemmgr.c
	{PPCC} :IJGSources:jmemmgr.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemname.c.x"  {MondoBuild} :IJGSources:jmemname.c
	{PPCC} :IJGSources:jmemname.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jmemnobs.c.x"  {MondoBuild} :IJGSources:jmemnobs.c
	{PPCC} :IJGSources:jmemnobs.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jpegtran.c.x"  {MondoBuild} :IJGSources:jpegtran.c
	{PPCC} :IJGSources:jpegtran.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jquant1.c.x"  {MondoBuild} :IJGSources:jquant1.c
	{PPCC} :IJGSources:jquant1.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jquant2.c.x"  {MondoBuild} :IJGSources:jquant2.c
	{PPCC} :IJGSources:jquant2.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}jutils.c.x"  {MondoBuild} :IJGSources:jutils.c
	{PPCC} :IJGSources:jutils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdbmp.c.x"  {MondoBuild} :IJGSources:rdbmp.c
	{PPCC} :IJGSources:rdbmp.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdcolmap.c.x"  {MondoBuild} :IJGSources:rdcolmap.c
	{PPCC} :IJGSources:rdcolmap.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdgif.c.x"  {MondoBuild} :IJGSources:rdgif.c
	{PPCC} :IJGSources:rdgif.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdjpgcom.c.x"  {MondoBuild} :IJGSources:rdjpgcom.c
	{PPCC} :IJGSources:rdjpgcom.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdppm.c.x"  {MondoBuild} :IJGSources:rdppm.c
	{PPCC} :IJGSources:rdppm.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdrle.c.x"  {MondoBuild} :IJGSources:rdrle.c
	{PPCC} :IJGSources:rdrle.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdswitch.c.x"  {MondoBuild} :IJGSources:rdswitch.c
	{PPCC} :IJGSources:rdswitch.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}rdtarga.c.x"  {MondoBuild} :IJGSources:rdtarga.c
	{PPCC} :IJGSources:rdtarga.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrbmp.c.x"  {MondoBuild} :IJGSources:wrbmp.c
	{PPCC} :IJGSources:wrbmp.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrgif.c.x"  {MondoBuild} :IJGSources:wrgif.c
	{PPCC} :IJGSources:wrgif.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrjpgcom.c.x"  {MondoBuild} :IJGSources:wrjpgcom.c
	{PPCC} :IJGSources:wrjpgcom.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrppm.c.x"  {MondoBuild} :IJGSources:wrppm.c
	{PPCC} :IJGSources:wrppm.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrrle.c.x"  {MondoBuild} :IJGSources:wrrle.c
	{PPCC} :IJGSources:wrrle.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}wrtarga.c.x"  {MondoBuild} :IJGSources:wrtarga.c
	{PPCC} :IJGSources:wrtarga.c -o {Targ} {PPCCOptions}


"{ObjDir68K}jmemod.c.o"  {MondoBuild} jmemod.c
	{C} jmemod.c -o {Targ} {COptions}

"{ObjDir68K}ansi2knr.c.o"  {MondoBuild} :IJGSources:ansi2knr.c
	{C} :IJGSources:ansi2knr.c -o {Targ} {COptions}

"{ObjDir68K}cdjpeg.c.o"  {MondoBuild} :IJGSources:cdjpeg.c
	{C} :IJGSources:cdjpeg.c -o {Targ} {COptions}

"{ObjDir68K}cjpeg.c.o"  {MondoBuild} :IJGSources:cjpeg.c
	{C} :IJGSources:cjpeg.c -o {Targ} {COptions}

"{ObjDir68K}ckconfig.c.o"  {MondoBuild} :IJGSources:ckconfig.c
	{C} :IJGSources:ckconfig.c -o {Targ} {COptions}

"{ObjDir68K}djpeg.c.o"  {MondoBuild} :IJGSources:djpeg.c
	{C} :IJGSources:djpeg.c -o {Targ} {COptions}

"{ObjDir68K}example.c.o"  {MondoBuild} :IJGSources:example.c
	{C} :IJGSources:example.c -o {Targ} {COptions}

"{ObjDir68K}jcapimin.c.o"  {MondoBuild} :IJGSources:jcapimin.c
	{C} :IJGSources:jcapimin.c -o {Targ} {COptions}

"{ObjDir68K}jcapistd.c.o"  {MondoBuild} :IJGSources:jcapistd.c
	{C} :IJGSources:jcapistd.c -o {Targ} {COptions}

"{ObjDir68K}jccoefct.c.o"  {MondoBuild} :IJGSources:jccoefct.c
	{C} :IJGSources:jccoefct.c -o {Targ} {COptions}

"{ObjDir68K}jccolor.c.o"  {MondoBuild} :IJGSources:jccolor.c
	{C} :IJGSources:jccolor.c -o {Targ} {COptions}

"{ObjDir68K}jcdctmgr.c.o"  {MondoBuild} :IJGSources:jcdctmgr.c
	{C} :IJGSources:jcdctmgr.c -o {Targ} {COptions}

"{ObjDir68K}jchuff.c.o"  {MondoBuild} :IJGSources:jchuff.c
	{C} :IJGSources:jchuff.c -o {Targ} {COptions}

"{ObjDir68K}jcinit.c.o"  {MondoBuild} :IJGSources:jcinit.c
	{C} :IJGSources:jcinit.c -o {Targ} {COptions}

"{ObjDir68K}jcmainct.c.o"  {MondoBuild} :IJGSources:jcmainct.c
	{C} :IJGSources:jcmainct.c -o {Targ} {COptions}

"{ObjDir68K}jcmarker.c.o"  {MondoBuild} :IJGSources:jcmarker.c
	{C} :IJGSources:jcmarker.c -o {Targ} {COptions}

"{ObjDir68K}jcmaster.c.o"  {MondoBuild} :IJGSources:jcmaster.c
	{C} :IJGSources:jcmaster.c -o {Targ} {COptions}

"{ObjDir68K}jcomapi.c.o"  {MondoBuild} :IJGSources:jcomapi.c
	{C} :IJGSources:jcomapi.c -o {Targ} {COptions}

"{ObjDir68K}jcparam.c.o"  {MondoBuild} :IJGSources:jcparam.c
	{C} :IJGSources:jcparam.c -o {Targ} {COptions}

"{ObjDir68K}jcphuff.c.o"  {MondoBuild} :IJGSources:jcphuff.c
	{C} :IJGSources:jcphuff.c -o {Targ} {COptions}

"{ObjDir68K}jcprepct.c.o"  {MondoBuild} :IJGSources:jcprepct.c
	{C} :IJGSources:jcprepct.c -o {Targ} {COptions}

"{ObjDir68K}jcsample.c.o"  {MondoBuild} :IJGSources:jcsample.c
	{C} :IJGSources:jcsample.c -o {Targ} {COptions}

"{ObjDir68K}jctrans.c.o"  {MondoBuild} :IJGSources:jctrans.c
	{C} :IJGSources:jctrans.c -o {Targ} {COptions}

"{ObjDir68K}jdapimin.c.o"  {MondoBuild} :IJGSources:jdapimin.c
	{C} :IJGSources:jdapimin.c -o {Targ} {COptions}

"{ObjDir68K}jdapistd.c.o"  {MondoBuild} :IJGSources:jdapistd.c
	{C} :IJGSources:jdapistd.c -o {Targ} {COptions}

"{ObjDir68K}jdatadst.c.o"  {MondoBuild} :IJGSources:jdatadst.c
	{C} :IJGSources:jdatadst.c -o {Targ} {COptions}

"{ObjDir68K}jdatasrc.c.o"  {MondoBuild} :IJGSources:jdatasrc.c
	{C} :IJGSources:jdatasrc.c -o {Targ} {COptions}

"{ObjDir68K}jdcoefct.c.o"  {MondoBuild} :IJGSources:jdcoefct.c
	{C} :IJGSources:jdcoefct.c -o {Targ} {COptions}

"{ObjDir68K}jdcolor.c.o"  {MondoBuild} :IJGSources:jdcolor.c
	{C} :IJGSources:jdcolor.c -o {Targ} {COptions}

"{ObjDir68K}jddctmgr.c.o"  {MondoBuild} :IJGSources:jddctmgr.c
	{C} :IJGSources:jddctmgr.c -o {Targ} {COptions}

"{ObjDir68K}jdhuff.c.o"  {MondoBuild} :IJGSources:jdhuff.c
	{C} :IJGSources:jdhuff.c -o {Targ} {COptions}

"{ObjDir68K}jdinput.c.o"  {MondoBuild} :IJGSources:jdinput.c
	{C} :IJGSources:jdinput.c -o {Targ} {COptions}

"{ObjDir68K}jdmainct.c.o"  {MondoBuild} :IJGSources:jdmainct.c
	{C} :IJGSources:jdmainct.c -o {Targ} {COptions}

"{ObjDir68K}jdmarker.c.o"  {MondoBuild} :IJGSources:jdmarker.c
	{C} :IJGSources:jdmarker.c -o {Targ} {COptions}

"{ObjDir68K}jdmaster.c.o"  {MondoBuild} :IJGSources:jdmaster.c
	{C} :IJGSources:jdmaster.c -o {Targ} {COptions}

"{ObjDir68K}jdmerge.c.o"  {MondoBuild} :IJGSources:jdmerge.c
	{C} :IJGSources:jdmerge.c -o {Targ} {COptions}

"{ObjDir68K}jdphuff.c.o"  {MondoBuild} :IJGSources:jdphuff.c
	{C} :IJGSources:jdphuff.c -o {Targ} {COptions}

"{ObjDir68K}jdpostct.c.o"  {MondoBuild} :IJGSources:jdpostct.c
	{C} :IJGSources:jdpostct.c -o {Targ} {COptions}

"{ObjDir68K}jdsample.c.o"  {MondoBuild} :IJGSources:jdsample.c
	{C} :IJGSources:jdsample.c -o {Targ} {COptions}

"{ObjDir68K}jdtrans.c.o"  {MondoBuild} :IJGSources:jdtrans.c
	{C} :IJGSources:jdtrans.c -o {Targ} {COptions}

"{ObjDir68K}jerror.c.o"  {MondoBuild} :IJGSources:jerror.c
	{C} :IJGSources:jerror.c -o {Targ} {COptions}

"{ObjDir68K}jfdctflt.c.o"  {MondoBuild} :IJGSources:jfdctflt.c
	{C} :IJGSources:jfdctflt.c -o {Targ} {COptions}

"{ObjDir68K}jfdctfst.c.o"  {MondoBuild} :IJGSources:jfdctfst.c
	{C} :IJGSources:jfdctfst.c -o {Targ} {COptions}

"{ObjDir68K}jfdctint.c.o"  {MondoBuild} :IJGSources:jfdctint.c
	{C} :IJGSources:jfdctint.c -o {Targ} {COptions}

"{ObjDir68K}jidctflt.c.o"  {MondoBuild} :IJGSources:jidctflt.c
	{C} :IJGSources:jidctflt.c -o {Targ} {COptions}

"{ObjDir68K}jidctfst.c.o"  {MondoBuild} :IJGSources:jidctfst.c
	{C} :IJGSources:jidctfst.c -o {Targ} {COptions}

"{ObjDir68K}jidctint.c.o"  {MondoBuild} :IJGSources:jidctint.c
	{C} :IJGSources:jidctint.c -o {Targ} {COptions}

"{ObjDir68K}jidctred.c.o"  {MondoBuild} :IJGSources:jidctred.c
	{C} :IJGSources:jidctred.c -o {Targ} {COptions}

"{ObjDir68K}jmemansi.c.o"  {MondoBuild} :IJGSources:jmemansi.c
	{C} :IJGSources:jmemansi.c -o {Targ} {COptions}

"{ObjDir68K}jmemdos.c.o"  {MondoBuild} :IJGSources:jmemdos.c
	{C} :IJGSources:jmemdos.c -o {Targ} {COptions}

"{ObjDir68K}jmemmac.c.o"  {MondoBuild} :IJGSources:jmemmac.c
	{C} :IJGSources:jmemmac.c -o {Targ} {COptions}

"{ObjDir68K}jmemmgr.c.o"  {MondoBuild} :IJGSources:jmemmgr.c
	{C} :IJGSources:jmemmgr.c -o {Targ} {COptions}

"{ObjDir68K}jmemname.c.o"  {MondoBuild} :IJGSources:jmemname.c
	{C} :IJGSources:jmemname.c -o {Targ} {COptions}

"{ObjDir68K}jmemnobs.c.o"  {MondoBuild} :IJGSources:jmemnobs.c
	{C} :IJGSources:jmemnobs.c -o {Targ} {COptions}

"{ObjDir68K}jpegtran.c.o"  {MondoBuild} :IJGSources:jpegtran.c
	{C} :IJGSources:jpegtran.c -o {Targ} {COptions}

"{ObjDir68K}jquant1.c.o"  {MondoBuild} :IJGSources:jquant1.c
	{C} :IJGSources:jquant1.c -o {Targ} {COptions}

"{ObjDir68K}jquant2.c.o"  {MondoBuild} :IJGSources:jquant2.c
	{C} :IJGSources:jquant2.c -o {Targ} {COptions}

"{ObjDir68K}jutils.c.o"  {MondoBuild} :IJGSources:jutils.c
	{C} :IJGSources:jutils.c -o {Targ} {COptions}

"{ObjDir68K}rdbmp.c.o"  {MondoBuild} :IJGSources:rdbmp.c
	{C} :IJGSources:rdbmp.c -o {Targ} {COptions}

"{ObjDir68K}rdcolmap.c.o"  {MondoBuild} :IJGSources:rdcolmap.c
	{C} :IJGSources:rdcolmap.c -o {Targ} {COptions}

"{ObjDir68K}rdgif.c.o"  {MondoBuild} :IJGSources:rdgif.c
	{C} :IJGSources:rdgif.c -o {Targ} {COptions}

"{ObjDir68K}rdjpgcom.c.o"  {MondoBuild} :IJGSources:rdjpgcom.c
	{C} :IJGSources:rdjpgcom.c -o {Targ} {COptions}

"{ObjDir68K}rdppm.c.o"  {MondoBuild} :IJGSources:rdppm.c
	{C} :IJGSources:rdppm.c -o {Targ} {COptions}

"{ObjDir68K}rdrle.c.o"  {MondoBuild} :IJGSources:rdrle.c
	{C} :IJGSources:rdrle.c -o {Targ} {COptions}

"{ObjDir68K}rdswitch.c.o"  {MondoBuild} :IJGSources:rdswitch.c
	{C} :IJGSources:rdswitch.c -o {Targ} {COptions}

"{ObjDir68K}rdtarga.c.o"  {MondoBuild} :IJGSources:rdtarga.c
	{C} :IJGSources:rdtarga.c -o {Targ} {COptions}

"{ObjDir68K}wrbmp.c.o"  {MondoBuild} :IJGSources:wrbmp.c
	{C} :IJGSources:wrbmp.c -o {Targ} {COptions}

"{ObjDir68K}wrgif.c.o"  {MondoBuild} :IJGSources:wrgif.c
	{C} :IJGSources:wrgif.c -o {Targ} {COptions}

"{ObjDir68K}wrjpgcom.c.o"  {MondoBuild} :IJGSources:wrjpgcom.c
	{C} :IJGSources:wrjpgcom.c -o {Targ} {COptions}

"{ObjDir68K}wrppm.c.o"  {MondoBuild} :IJGSources:wrppm.c
	{C} :IJGSources:wrppm.c -o {Targ} {COptions}

"{ObjDir68K}wrrle.c.o"  {MondoBuild} :IJGSources:wrrle.c
	{C} :IJGSources:wrrle.c -o {Targ} {COptions}

"{ObjDir68K}wrtarga.c.o"  {MondoBuild} :IJGSources:wrtarga.c
	{C} :IJGSources:wrtarga.c -o {Targ} {COptions}

