//========================================================================================
//
//	File:				Iters.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef ITERS_H
#define ITERS_H

#ifndef PROXY_H
#include "Proxy.h"
#endif

// ----- Foundation Layer -----

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

#ifndef FWTCOLL_H
#include "FWTColl.h"
#endif

//========================================================================================
// class CProxyCollection
//========================================================================================

class CProxyCollection : public FW_TOrderedCollection<CProxy>
{
public:
	FW_DECLARE_AUTO(CProxyCollection)
	
	CProxyCollection() :
		FW_TOrderedCollection<CProxy>(){}
	~CProxyCollection() {}
};

//========================================================================================
// class CProxyCollectionIterator
//========================================================================================

class CProxyCollectionIterator : public FW_TOrderedCollectionIterator<CProxy>
{
public:
	FW_DECLARE_AUTO(CProxyCollectionIterator)
	
	CProxyCollectionIterator(CProxyCollection* collection) :
		FW_TOrderedCollectionIterator<CProxy>(collection){}
	~CProxyCollectionIterator() {}
};


#endif
