//========================================================================================
//
//	File:				Binding.k
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef BINDING_K
#define BINDING_K

#include "StdDefs.r"

#define kEditor 				"ODFExamples::ODFCyberStarter"
#define kKind 					kODISOPrefix "OpenDoc:Kind:Text:Plain"
#define kCategory 				kODISOPrefix "OpenDoc:Category:Text:Plain"
#define kMimeType				"text/plain"
#define kMimeType2				"application/x-cyberstarter"
#define kImportMacOSType		'TEXT'

#define kSettingsKind 			kODISOPrefix "Kind:Private:ODFCyberStarter:Settings"

// Icons. These OSTypes need to be unique, and different for each part. MUSTCHANGE
// Also change the part signature in the CodeWarrior (or other) project.
#define kPartSignature 			'pDFS'
#define kDocumentIcon 			'dDFS'
#define kStationeryIcon 		'sDFS'
#define kURLIcon 				'rDFS'

#endif // BINDING_K

