//	File:		FormStr.fr
//
//	Contains:	Common (Platform independent) resources for Form part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ODFForm...",

	{
		FW_RPullDownMenu
		(
			"Form"
			{
				FW_RTextItem(cResetFormCommand, '1', "Reset Form")
#if FW_PPOB_VIEWS
				, FW_RSeparatorItem(),
				FW_RTextItem(cReloadPPobViews, FW_kNoKeyEquivalent, "Reload PPob Views")				
#elif FW_MACAPP_VIEWS
				, FW_RSeparatorItem(),
				FW_RTextItem(cReloadMacAppViews, FW_kNoKeyEquivalent, "Reload MacApp Views")				
#endif
			}
		)
	}
};
