//========================================================================================
//
//	File:				SLLocale.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLLOCALE_H
#define SLLOCALE_H

#ifndef FWODEXCE_H
#include "FWODExce.h"
#endif

#include "FWTxtTyp.xh"

//========================================================================================
//	Global Functions
//========================================================================================

// Export or Import functions for CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

FW_Boolean FW_LocaleIsSingleByte(FW_Locale locale);
	// Return true if all characters in this locale are 1 byte wide.

FW_Boolean FW_CharIsDoubleByte(const char* p, short offset, const FW_Locale& locale);
	// Return true if the byte at the specified location is the first byte of
	// a double-byte character.

FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
