//========================================================================================
//
//	File:				FWAPictV.cpp
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFrameW.hpp"

#ifndef FWPICTSV_H
#include "FWPictSv.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CPictSView
//========================================================================================

const FW_ClassTypeConstant FW_LPictSView = FW_TYPE_CONSTANT('p','i','c','v');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LPictSView, FW_CPictSView, FW_CPictSView::Create, FW_CView::Read, FW_CPictSView::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CPictSView::Create
//----------------------------------------------------------------------------------------

void* FW_CPictSView::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CPictSView, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CPictSView::Destroy
//----------------------------------------------------------------------------------------

void FW_CPictSView::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CPictSView* self = (FW_CPictSView*) object;
	delete self;
}

