//========================================================================================
//
//	File:				FWUnknow.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWUNKNOW_H
#define FWUNKNOW_H

#ifndef FWSVIEW_H
#include "FWSView.h"
#endif

#ifndef FWSTRING_H
#include "FWString.h"
#endif

#ifndef FW
#include "FWString.h"
#endif

//========================================================================================
// Class FW_CUnknownView
//========================================================================================

class FW_CUnknownView : public FW_CSuperView
{
public:
	FW_DECLARE_AUTO(FW_CUnknownView)
	
	FW_CUnknownView(Environment* ev, 
					FW_CSuperView* container, 
					ODID viewID,
					FW_CRect& bounds,
					FW_CString& name);
	
	FW_CUnknownView(Environment* ev, 
					FW_CSuperView* container, 
					ODID viewID,
					FW_CRect& bounds, 
					FW_CPoint& extent,
					FW_EScrollingDirection scrollDir,
					FW_CString& name);
					
	virtual ~FW_CUnknownView();

	virtual void 	Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

private:
	FW_CString	 	fClassName;
};

#endif

