//========================================================================================
//
//	File:				FWResSin.cpp
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWEXCEPT_H
#include "FWExcept.h"
#endif

#ifndef FWRESSIN_H
#include "FWResSin.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwresour
#endif

//========================================================================================
//	CLASS FW_PResourceSink
//========================================================================================

//----------------------------------------------------------------------------------------
// FW_PResourceSink::FW_PResourceSink
//----------------------------------------------------------------------------------------
FW_PResourceSink::FW_PResourceSink(Environment* ev, FW_OResourceSink* theResourceSink) :
	FW_PRandomAccessSink(ev, theResourceSink)
{
}

//----------------------------------------------------------------------------------------
// FW_PResourceSink::FW_PResourceSink
//----------------------------------------------------------------------------------------
FW_PResourceSink::FW_PResourceSink(Environment* ev, FW_OResource* theResource) :
	FW_PRandomAccessSink(ev, new FW_OResourceSink())
{
	((FW_OResourceSink*)GetRep())->InitFromOResource(ev, theResource);
}

//----------------------------------------------------------------------------------------
// FW_PResourceSink::~FW_PResourceSink
//----------------------------------------------------------------------------------------
FW_PResourceSink::~FW_PResourceSink()
{
}

